body, html {
  height: 100%;
  background-color: #f1f1f1;
}

.container {
  height: calc(100% - 80px);
}

.loginContainer {
    height: calc(100% - 80px);
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 400px;
}

.loginContainer .panel {
    margin-top: 90px;
    width: 40%;
    margin-left: auto;
    margin-right: auto;
}

.loginContainer .btn-primary, .loginContainer .lp-links {
    display: inline-block;
    vertical-align: middle;
}

.password-wrapper {
  position:relative;
}

.password-wrapper span {
  position:absolute;
  top:8px;
  right:8px;
}

.password-wrapper span i {
  font-size:20px;
  cursor:pointer;
}

@media (max-width: 767px) {
  .container, .loginContainer {
    height: auto;
  }

  .loginContainer .panel {
    margin-top: 10px;
    width: 90%;
  }

  .footer {
    display: none;
  }
}